<?xml version="1.0" encoding="UTF-8"?>

<!--Created with NTC ESEF v26.3.31.0 by NTC Kft.-->
<link:linkbase xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/instance http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xlink="http://www.w3.org/1999/xlink">
<link:arcroleRef arcroleURI="https://xbrl.org/2023/arcrole/summation-item"
	                 xlink:type="simple"
	                 xlink:href="https://www.xbrl.org/2023/calculation-1.1.xsd#summation-item"/>
<link:roleRef roleURI="http://www.forras.hu/role/BalanceSheet" xlink:type="simple" xlink:href="5299005LX7CTDURCX050-2025-12-31.xsd#BalanceSheet"/>
<link:roleRef roleURI="http://www.forras.hu/role/CashFlowStatement" xlink:type="simple" xlink:href="5299005LX7CTDURCX050-2025-12-31.xsd#CashFlowStatement"/>
<link:roleRef roleURI="http://www.forras.hu/role/ComprehensiveIncomeStatement" xlink:type="simple" xlink:href="5299005LX7CTDURCX050-2025-12-31.xsd#ComprehensiveIncomeStatement"/>
<link:roleRef roleURI="http://www.forras.hu/role/ComprehensiveIncomeStatement2" xlink:type="simple" xlink:href="5299005LX7CTDURCX050-2025-12-31.xsd#ComprehensiveIncomeStatement2"/><link:calculationLink xlink:type="extended" xlink:role="http://www.forras.hu/role/ComprehensiveIncomeStatement">
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLossFromOperatingActivities" xlink:label="ProfitLossFromOperatingActivities" xlink:title="ProfitLossFromOperatingActivities"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Revenue" xlink:label="Revenue" xlink:title="Revenue"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_RawMaterialsAndConsumablesUsed" xlink:label="RawMaterialsAndConsumablesUsed" xlink:title="RawMaterialsAndConsumablesUsed"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_EmployeeBenefitsExpense" xlink:label="EmployeeBenefitsExpense" xlink:title="EmployeeBenefitsExpense"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ChangesInInventoriesOfFinishedGoodsAndWorkInProgress" xlink:label="ChangesInInventoriesOfFinishedGoodsAndWorkInProgress" xlink:title="ChangesInInventoriesOfFinishedGoodsAndWorkInProgress"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_MiscellaneousOtherOperatingIncome" xlink:label="MiscellaneousOtherOperatingIncome" xlink:title="MiscellaneousOtherOperatingIncome"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_MiscellaneousOtherOperatingExpense" xlink:label="MiscellaneousOtherOperatingExpense" xlink:title="MiscellaneousOtherOperatingExpense"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_DepreciationAndAmortisationExpense" xlink:label="DepreciationAndAmortisationExpense" xlink:title="DepreciationAndAmortisationExpense"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ProfitLossFromOperatingActivities" xlink:to="Revenue" xlink:title="calculation: ProfitLossFromOperatingActivities to Revenue" order="1.0" weight="1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ProfitLossFromOperatingActivities" xlink:to="RawMaterialsAndConsumablesUsed" xlink:title="calculation: ProfitLossFromOperatingActivities to RawMaterialsAndConsumablesUsed" order="2.0" weight="-1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ProfitLossFromOperatingActivities" xlink:to="EmployeeBenefitsExpense" xlink:title="calculation: ProfitLossFromOperatingActivities to EmployeeBenefitsExpense" order="3.0" weight="-1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ProfitLossFromOperatingActivities" xlink:to="ChangesInInventoriesOfFinishedGoodsAndWorkInProgress" xlink:title="calculation: ProfitLossFromOperatingActivities to ChangesInInventoriesOfFinishedGoodsAndWorkInProgress" order="4.0" weight="-1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ProfitLossFromOperatingActivities" xlink:to="MiscellaneousOtherOperatingIncome" xlink:title="calculation: ProfitLossFromOperatingActivities to MiscellaneousOtherOperatingIncome" order="5.0" weight="1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ProfitLossFromOperatingActivities" xlink:to="MiscellaneousOtherOperatingExpense" xlink:title="calculation: ProfitLossFromOperatingActivities to MiscellaneousOtherOperatingExpense" order="6.0" weight="-1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ProfitLossFromOperatingActivities" xlink:to="DepreciationAndAmortisationExpense" xlink:title="calculation: ProfitLossFromOperatingActivities to DepreciationAndAmortisationExpense" order="7.0" weight="-1"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLossBeforeTax" xlink:label="ProfitLossBeforeTax" xlink:title="ProfitLossBeforeTax"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_FinanceIncome" xlink:label="FinanceIncome" xlink:title="FinanceIncome"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_FinanceCosts" xlink:label="FinanceCosts" xlink:title="FinanceCosts"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_GainsLossesOnFairValueAdjustmentBiologicalAssets" xlink:label="GainsLossesOnFairValueAdjustmentBiologicalAssets" xlink:title="GainsLossesOnFairValueAdjustmentBiologicalAssets"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_GainsLossesOnFairValueAdjustmentInvestmentProperty" xlink:label="GainsLossesOnFairValueAdjustmentInvestmentProperty" xlink:title="GainsLossesOnFairValueAdjustmentInvestmentProperty"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod" xlink:label="ShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod" xlink:title="ShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_GainsLossesRecognisedWhenControlInSubsidiaryIsLost" xlink:label="GainsLossesRecognisedWhenControlInSubsidiaryIsLost" xlink:title="GainsLossesRecognisedWhenControlInSubsidiaryIsLost"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ProfitLossBeforeTax" xlink:to="ProfitLossFromOperatingActivities" xlink:title="calculation: ProfitLossBeforeTax to ProfitLossFromOperatingActivities" order="1.0" weight="1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ProfitLossBeforeTax" xlink:to="FinanceIncome" xlink:title="calculation: ProfitLossBeforeTax to FinanceIncome" order="2.0" weight="1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ProfitLossBeforeTax" xlink:to="FinanceCosts" xlink:title="calculation: ProfitLossBeforeTax to FinanceCosts" order="3.0" weight="-1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ProfitLossBeforeTax" xlink:to="GainsLossesOnFairValueAdjustmentBiologicalAssets" xlink:title="calculation: ProfitLossBeforeTax to GainsLossesOnFairValueAdjustmentBiologicalAssets" order="4.0" weight="-1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ProfitLossBeforeTax" xlink:to="GainsLossesOnFairValueAdjustmentInvestmentProperty" xlink:title="calculation: ProfitLossBeforeTax to GainsLossesOnFairValueAdjustmentInvestmentProperty" order="5.0" weight="1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ProfitLossBeforeTax" xlink:to="ShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod" xlink:title="calculation: ProfitLossBeforeTax to ShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod" order="6.0" weight="1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ProfitLossBeforeTax" xlink:to="GainsLossesRecognisedWhenControlInSubsidiaryIsLost" xlink:title="calculation: ProfitLossBeforeTax to GainsLossesRecognisedWhenControlInSubsidiaryIsLost" order="7.0" weight="1"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLossFromContinuingOperations" xlink:label="ProfitLossFromContinuingOperations" xlink:title="ProfitLossFromContinuingOperations"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:label="IncomeTaxExpenseContinuingOperations" xlink:title="IncomeTaxExpenseContinuingOperations"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ProfitLossFromContinuingOperations" xlink:to="ProfitLossBeforeTax" xlink:title="calculation: ProfitLossFromContinuingOperations to ProfitLossBeforeTax" order="1.0" weight="1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ProfitLossFromContinuingOperations" xlink:to="IncomeTaxExpenseContinuingOperations" xlink:title="calculation: ProfitLossFromContinuingOperations to IncomeTaxExpenseContinuingOperations" order="2.0" weight="-1"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLoss" xlink:label="ProfitLoss" xlink:title="ProfitLoss"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLossFromDiscontinuedOperations" xlink:label="ProfitLossFromDiscontinuedOperations" xlink:title="ProfitLossFromDiscontinuedOperations"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ProfitLoss" xlink:to="ProfitLossFromContinuingOperations" xlink:title="calculation: ProfitLoss to ProfitLossFromContinuingOperations" order="1.0" weight="1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ProfitLoss" xlink:to="ProfitLossFromDiscontinuedOperations" xlink:title="calculation: ProfitLoss to ProfitLossFromDiscontinuedOperations" order="2.0" weight="1"/>
<link:loc xlink:type="locator" xlink:href="5299005LX7CTDURCX050-2025-12-31.xsd#forras_TotalComprehensiveIncomeFromContinuingOperations" xlink:label="TotalComprehensiveIncomeFromContinuingOperations" xlink:title="TotalComprehensiveIncomeFromContinuingOperations"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_GainsLossesOnExchangeDifferencesOnTranslationNetOfTax" xlink:label="GainsLossesOnExchangeDifferencesOnTranslationNetOfTax" xlink:title="GainsLossesOnExchangeDifferencesOnTranslationNetOfTax"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_GainsLossesOnCashFlowHedgesNetOfTax" xlink:label="GainsLossesOnCashFlowHedgesNetOfTax" xlink:title="GainsLossesOnCashFlowHedgesNetOfTax"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="TotalComprehensiveIncomeFromContinuingOperations" xlink:to="ProfitLoss" xlink:title="calculation: TotalComprehensiveIncomeFromContinuingOperations to ProfitLoss" order="1.0" weight="1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="TotalComprehensiveIncomeFromContinuingOperations" xlink:to="GainsLossesOnExchangeDifferencesOnTranslationNetOfTax" xlink:title="calculation: TotalComprehensiveIncomeFromContinuingOperations to GainsLossesOnExchangeDifferencesOnTranslationNetOfTax" order="2.0" weight="1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="TotalComprehensiveIncomeFromContinuingOperations" xlink:to="GainsLossesOnCashFlowHedgesNetOfTax" xlink:title="calculation: TotalComprehensiveIncomeFromContinuingOperations to GainsLossesOnCashFlowHedgesNetOfTax" order="3.0" weight="1"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ComprehensiveIncome" xlink:label="ComprehensiveIncome" xlink:title="ComprehensiveIncome"/>
<link:loc xlink:type="locator" xlink:href="5299005LX7CTDURCX050-2025-12-31.xsd#forras_TotalComprehensiveIncomeFromDiscontinuingOperations" xlink:label="TotalComprehensiveIncomeFromDiscontinuingOperations" xlink:title="TotalComprehensiveIncomeFromDiscontinuingOperations"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ComprehensiveIncome" xlink:to="TotalComprehensiveIncomeFromContinuingOperations" xlink:title="calculation: ComprehensiveIncome to TotalComprehensiveIncomeFromContinuingOperations" order="1.0" weight="1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ComprehensiveIncome" xlink:to="TotalComprehensiveIncomeFromDiscontinuingOperations" xlink:title="calculation: ComprehensiveIncome to TotalComprehensiveIncomeFromDiscontinuingOperations" order="2.0" weight="1"/>
</link:calculationLink><link:calculationLink xlink:type="extended" xlink:role="http://www.forras.hu/role/ComprehensiveIncomeStatement2">
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ComprehensiveIncome" xlink:label="ComprehensiveIncome" xlink:title="ComprehensiveIncome"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ComprehensiveIncomeAttributableToOwnersOfParent" xlink:label="ComprehensiveIncomeAttributableToOwnersOfParent" xlink:title="ComprehensiveIncomeAttributableToOwnersOfParent"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ComprehensiveIncomeAttributableToNoncontrollingInterests" xlink:label="ComprehensiveIncomeAttributableToNoncontrollingInterests" xlink:title="ComprehensiveIncomeAttributableToNoncontrollingInterests"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ComprehensiveIncome" xlink:to="ComprehensiveIncomeAttributableToOwnersOfParent" xlink:title="calculation: ComprehensiveIncome to ComprehensiveIncomeAttributableToOwnersOfParent" order="1.0" weight="1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ComprehensiveIncome" xlink:to="ComprehensiveIncomeAttributableToNoncontrollingInterests" xlink:title="calculation: ComprehensiveIncome to ComprehensiveIncomeAttributableToNoncontrollingInterests" order="2.0" weight="1"/>
</link:calculationLink><link:calculationLink xlink:type="extended" xlink:role="http://www.forras.hu/role/BalanceSheet">
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentAssets" xlink:label="NoncurrentAssets" xlink:title="NoncurrentAssets"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_PropertyPlantAndEquipment" xlink:label="PropertyPlantAndEquipment" xlink:title="PropertyPlantAndEquipment"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_InvestmentProperty" xlink:label="InvestmentProperty" xlink:title="InvestmentProperty"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IntangibleAssetsOtherThanGoodwill" xlink:label="IntangibleAssetsOtherThanGoodwill" xlink:title="IntangibleAssetsOtherThanGoodwill"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_RightofuseAssets" xlink:label="RightofuseAssets" xlink:title="RightofuseAssets"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Goodwill" xlink:label="Goodwill" xlink:title="Goodwill"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_InvestmentsInAssociatesAccountedForUsingEquityMethod" xlink:label="InvestmentsInAssociatesAccountedForUsingEquityMethod" xlink:title="InvestmentsInAssociatesAccountedForUsingEquityMethod"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethod" xlink:label="NoncurrentInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethod" xlink:title="NoncurrentInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethod"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentFinancialAssets" xlink:label="NoncurrentFinancialAssets" xlink:title="NoncurrentFinancialAssets"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentLoansAndReceivables" xlink:label="NoncurrentLoansAndReceivables" xlink:title="NoncurrentLoansAndReceivables"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentBiologicalAssets" xlink:label="NoncurrentBiologicalAssets" xlink:title="NoncurrentBiologicalAssets"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentReceivablesDueFromRelatedParties" xlink:label="NoncurrentReceivablesDueFromRelatedParties" xlink:title="NoncurrentReceivablesDueFromRelatedParties"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_DeferredTaxAssets" xlink:label="DeferredTaxAssets" xlink:title="DeferredTaxAssets"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="NoncurrentAssets" xlink:to="PropertyPlantAndEquipment" xlink:title="calculation: NoncurrentAssets to PropertyPlantAndEquipment" order="1.0" weight="1"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="NoncurrentAssets" xlink:to="InvestmentProperty" xlink:title="calculation: NoncurrentAssets to InvestmentProperty" order="2.0" weight="1"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="NoncurrentAssets" xlink:to="IntangibleAssetsOtherThanGoodwill" xlink:title="calculation: NoncurrentAssets to IntangibleAssetsOtherThanGoodwill" order="3.0" weight="1"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="NoncurrentAssets" xlink:to="RightofuseAssets" xlink:title="calculation: NoncurrentAssets to RightofuseAssets" order="4.0" weight="1"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="NoncurrentAssets" xlink:to="Goodwill" xlink:title="calculation: NoncurrentAssets to Goodwill" order="5.0" weight="1"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="NoncurrentAssets" xlink:to="InvestmentsInAssociatesAccountedForUsingEquityMethod" xlink:title="calculation: NoncurrentAssets to InvestmentsInAssociatesAccountedForUsingEquityMethod" order="6.0" weight="1"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="NoncurrentAssets" xlink:to="NoncurrentInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethod" xlink:title="calculation: NoncurrentAssets to NoncurrentInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethod" order="7.0" weight="1"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="NoncurrentAssets" xlink:to="NoncurrentFinancialAssets" xlink:title="calculation: NoncurrentAssets to NoncurrentFinancialAssets" order="8.0" weight="1"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="NoncurrentAssets" xlink:to="NoncurrentLoansAndReceivables" xlink:title="calculation: NoncurrentAssets to NoncurrentLoansAndReceivables" order="9.0" weight="1"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="NoncurrentAssets" xlink:to="NoncurrentBiologicalAssets" xlink:title="calculation: NoncurrentAssets to NoncurrentBiologicalAssets" order="10.0" weight="1"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="NoncurrentAssets" xlink:to="NoncurrentReceivablesDueFromRelatedParties" xlink:title="calculation: NoncurrentAssets to NoncurrentReceivablesDueFromRelatedParties" order="11.0" weight="1"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="NoncurrentAssets" xlink:to="DeferredTaxAssets" xlink:title="calculation: NoncurrentAssets to DeferredTaxAssets" order="12.0" weight="1"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Assets" xlink:label="Assets" xlink:title="Assets"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentAssets" xlink:label="CurrentAssets" xlink:title="CurrentAssets"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="Assets" xlink:to="NoncurrentAssets" xlink:title="calculation: Assets to NoncurrentAssets" order="1.0" weight="1"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="Assets" xlink:to="CurrentAssets" xlink:title="calculation: Assets to CurrentAssets" order="2.0" weight="1"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_TradeAndOtherCurrentReceivables" xlink:label="TradeAndOtherCurrentReceivables" xlink:title="TradeAndOtherCurrentReceivables"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_TradeAndOtherCurrentReceivablesDueFromRelatedParties" xlink:label="TradeAndOtherCurrentReceivablesDueFromRelatedParties" xlink:title="TradeAndOtherCurrentReceivablesDueFromRelatedParties"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Inventories" xlink:label="Inventories" xlink:title="Inventories"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentBiologicalAssets" xlink:label="CurrentBiologicalAssets" xlink:title="CurrentBiologicalAssets"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentDerivativeFinancialAssets" xlink:label="CurrentDerivativeFinancialAssets" xlink:title="CurrentDerivativeFinancialAssets"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentTaxAssetsCurrent" xlink:label="CurrentTaxAssetsCurrent" xlink:title="CurrentTaxAssetsCurrent"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherCurrentFinancialAssets" xlink:label="OtherCurrentFinancialAssets" xlink:title="OtherCurrentFinancialAssets"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherCurrentReceivables" xlink:label="OtherCurrentReceivables" xlink:title="OtherCurrentReceivables"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashAndCashEquivalents" xlink:label="CashAndCashEquivalents" xlink:title="CashAndCashEquivalents"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CurrentAssets" xlink:to="TradeAndOtherCurrentReceivables" xlink:title="calculation: CurrentAssets to TradeAndOtherCurrentReceivables" order="1.0" weight="1"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CurrentAssets" xlink:to="TradeAndOtherCurrentReceivablesDueFromRelatedParties" xlink:title="calculation: CurrentAssets to TradeAndOtherCurrentReceivablesDueFromRelatedParties" order="2.0" weight="1"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CurrentAssets" xlink:to="Inventories" xlink:title="calculation: CurrentAssets to Inventories" order="3.0" weight="1"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CurrentAssets" xlink:to="CurrentBiologicalAssets" xlink:title="calculation: CurrentAssets to CurrentBiologicalAssets" order="4.0" weight="1"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CurrentAssets" xlink:to="CurrentDerivativeFinancialAssets" xlink:title="calculation: CurrentAssets to CurrentDerivativeFinancialAssets" order="5.0" weight="1"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CurrentAssets" xlink:to="CurrentTaxAssetsCurrent" xlink:title="calculation: CurrentAssets to CurrentTaxAssetsCurrent" order="6.0" weight="1"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CurrentAssets" xlink:to="OtherCurrentFinancialAssets" xlink:title="calculation: CurrentAssets to OtherCurrentFinancialAssets" order="7.0" weight="1"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CurrentAssets" xlink:to="OtherCurrentReceivables" xlink:title="calculation: CurrentAssets to OtherCurrentReceivables" order="8.0" weight="1"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CurrentAssets" xlink:to="CashAndCashEquivalents" xlink:title="calculation: CurrentAssets to CashAndCashEquivalents" order="9.0" weight="1"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_EquityAttributableToOwnersOfParent" xlink:label="EquityAttributableToOwnersOfParent" xlink:title="EquityAttributableToOwnersOfParent"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IssuedCapital" xlink:label="IssuedCapital" xlink:title="IssuedCapital"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_SharePremium" xlink:label="SharePremium" xlink:title="SharePremium"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_TreasuryShares" xlink:label="TreasuryShares" xlink:title="TreasuryShares"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_RetainedEarnings" xlink:label="RetainedEarnings" xlink:title="RetainedEarnings"/>
<link:loc xlink:type="locator" xlink:href="5299005LX7CTDURCX050-2025-12-31.xsd#forras_TransactionsWithOwners" xlink:label="TransactionsWithOwners" xlink:title="TransactionsWithOwners"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ReserveOfCashFlowHedges" xlink:label="ReserveOfCashFlowHedges" xlink:title="ReserveOfCashFlowHedges"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ReserveOfExchangeDifferencesOnTranslation" xlink:label="ReserveOfExchangeDifferencesOnTranslation" xlink:title="ReserveOfExchangeDifferencesOnTranslation"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="EquityAttributableToOwnersOfParent" xlink:to="IssuedCapital" xlink:title="calculation: EquityAttributableToOwnersOfParent to IssuedCapital" order="1.0" weight="1"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="EquityAttributableToOwnersOfParent" xlink:to="SharePremium" xlink:title="calculation: EquityAttributableToOwnersOfParent to SharePremium" order="2.0" weight="1"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="EquityAttributableToOwnersOfParent" xlink:to="TreasuryShares" xlink:title="calculation: EquityAttributableToOwnersOfParent to TreasuryShares" order="3.0" weight="-1"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="EquityAttributableToOwnersOfParent" xlink:to="RetainedEarnings" xlink:title="calculation: EquityAttributableToOwnersOfParent to RetainedEarnings" order="4.0" weight="1"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="EquityAttributableToOwnersOfParent" xlink:to="TransactionsWithOwners" xlink:title="calculation: EquityAttributableToOwnersOfParent to TransactionsWithOwners" order="5.0" weight="1"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="EquityAttributableToOwnersOfParent" xlink:to="ReserveOfCashFlowHedges" xlink:title="calculation: EquityAttributableToOwnersOfParent to ReserveOfCashFlowHedges" order="6.0" weight="1"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="EquityAttributableToOwnersOfParent" xlink:to="ReserveOfExchangeDifferencesOnTranslation" xlink:title="calculation: EquityAttributableToOwnersOfParent to ReserveOfExchangeDifferencesOnTranslation" order="7.0" weight="1"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Equity" xlink:label="Equity" xlink:title="Equity"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncontrollingInterests" xlink:label="NoncontrollingInterests" xlink:title="NoncontrollingInterests"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="Equity" xlink:to="EquityAttributableToOwnersOfParent" xlink:title="calculation: Equity to EquityAttributableToOwnersOfParent" order="1.0" weight="1"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="Equity" xlink:to="NoncontrollingInterests" xlink:title="calculation: Equity to NoncontrollingInterests" order="2.0" weight="1"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_EquityAndLiabilities" xlink:label="EquityAndLiabilities" xlink:title="EquityAndLiabilities"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentLiabilities" xlink:label="NoncurrentLiabilities" xlink:title="NoncurrentLiabilities"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentLiabilities" xlink:label="CurrentLiabilities" xlink:title="CurrentLiabilities"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="EquityAndLiabilities" xlink:to="Equity" xlink:title="calculation: EquityAndLiabilities to Equity" order="1.0" weight="1"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="EquityAndLiabilities" xlink:to="NoncurrentLiabilities" xlink:title="calculation: EquityAndLiabilities to NoncurrentLiabilities" order="2.0" weight="1"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="EquityAndLiabilities" xlink:to="CurrentLiabilities" xlink:title="calculation: EquityAndLiabilities to CurrentLiabilities" order="3.0" weight="1"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentPortionOfNoncurrentBondsIssued" xlink:label="NoncurrentPortionOfNoncurrentBondsIssued" xlink:title="NoncurrentPortionOfNoncurrentBondsIssued"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentProvisions" xlink:label="NoncurrentProvisions" xlink:title="NoncurrentProvisions"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentPayablesToRelatedParties" xlink:label="NoncurrentPayablesToRelatedParties" xlink:title="NoncurrentPayablesToRelatedParties"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_DeferredTaxLiabilities" xlink:label="DeferredTaxLiabilities" xlink:title="DeferredTaxLiabilities"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentLeaseLiabilities" xlink:label="NoncurrentLeaseLiabilities" xlink:title="NoncurrentLeaseLiabilities"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_LongtermBorrowings" xlink:label="LongtermBorrowings" xlink:title="LongtermBorrowings"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="NoncurrentLiabilities" xlink:to="NoncurrentPortionOfNoncurrentBondsIssued" xlink:title="calculation: NoncurrentLiabilities to NoncurrentPortionOfNoncurrentBondsIssued" order="1.0" weight="1"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="NoncurrentLiabilities" xlink:to="NoncurrentProvisions" xlink:title="calculation: NoncurrentLiabilities to NoncurrentProvisions" order="2.0" weight="1"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="NoncurrentLiabilities" xlink:to="NoncurrentPayablesToRelatedParties" xlink:title="calculation: NoncurrentLiabilities to NoncurrentPayablesToRelatedParties" order="3.0" weight="1"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="NoncurrentLiabilities" xlink:to="DeferredTaxLiabilities" xlink:title="calculation: NoncurrentLiabilities to DeferredTaxLiabilities" order="4.0" weight="1"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="NoncurrentLiabilities" xlink:to="NoncurrentLeaseLiabilities" xlink:title="calculation: NoncurrentLiabilities to NoncurrentLeaseLiabilities" order="5.0" weight="1"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="NoncurrentLiabilities" xlink:to="LongtermBorrowings" xlink:title="calculation: NoncurrentLiabilities to LongtermBorrowings" order="6.0" weight="1"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentBorrowingsAndCurrentPortionOfNoncurrentBorrowings" xlink:label="CurrentBorrowingsAndCurrentPortionOfNoncurrentBorrowings" xlink:title="CurrentBorrowingsAndCurrentPortionOfNoncurrentBorrowings"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_TradeAndOtherCurrentPayablesToTradeSuppliers" xlink:label="TradeAndOtherCurrentPayablesToTradeSuppliers" xlink:title="TradeAndOtherCurrentPayablesToTradeSuppliers"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentDerivativeFinancialLiabilities" xlink:label="CurrentDerivativeFinancialLiabilities" xlink:title="CurrentDerivativeFinancialLiabilities"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_TradeAndOtherCurrentPayablesToRelatedParties" xlink:label="TradeAndOtherCurrentPayablesToRelatedParties" xlink:title="TradeAndOtherCurrentPayablesToRelatedParties"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentAccruedExpensesAndOtherCurrentLiabilities" xlink:label="CurrentAccruedExpensesAndOtherCurrentLiabilities" xlink:title="CurrentAccruedExpensesAndOtherCurrentLiabilities"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ShorttermBorrowings" xlink:label="ShorttermBorrowings" xlink:title="ShorttermBorrowings"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentLeaseLiabilities" xlink:label="CurrentLeaseLiabilities" xlink:title="CurrentLeaseLiabilities"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CurrentLiabilities" xlink:to="CurrentBorrowingsAndCurrentPortionOfNoncurrentBorrowings" xlink:title="calculation: CurrentLiabilities to CurrentBorrowingsAndCurrentPortionOfNoncurrentBorrowings" order="1.0" weight="1"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CurrentLiabilities" xlink:to="TradeAndOtherCurrentPayablesToTradeSuppliers" xlink:title="calculation: CurrentLiabilities to TradeAndOtherCurrentPayablesToTradeSuppliers" order="2.0" weight="1"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CurrentLiabilities" xlink:to="CurrentDerivativeFinancialLiabilities" xlink:title="calculation: CurrentLiabilities to CurrentDerivativeFinancialLiabilities" order="3.0" weight="1"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CurrentLiabilities" xlink:to="TradeAndOtherCurrentPayablesToRelatedParties" xlink:title="calculation: CurrentLiabilities to TradeAndOtherCurrentPayablesToRelatedParties" order="4.0" weight="1"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CurrentLiabilities" xlink:to="CurrentAccruedExpensesAndOtherCurrentLiabilities" xlink:title="calculation: CurrentLiabilities to CurrentAccruedExpensesAndOtherCurrentLiabilities" order="5.0" weight="1"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CurrentLiabilities" xlink:to="ShorttermBorrowings" xlink:title="calculation: CurrentLiabilities to ShorttermBorrowings" order="6.0" weight="1"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CurrentLiabilities" xlink:to="CurrentLeaseLiabilities" xlink:title="calculation: CurrentLiabilities to CurrentLeaseLiabilities" order="7.0" weight="1"/>
</link:calculationLink><link:calculationLink xlink:type="extended" xlink:role="http://www.forras.hu/role/CashFlowStatement">
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:label="CashFlowsFromUsedInOperatingActivities" xlink:title="CashFlowsFromUsedInOperatingActivities"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLossBeforeTax" xlink:label="ProfitLossBeforeTax" xlink:title="ProfitLossBeforeTax"/>
<link:loc xlink:type="locator" xlink:href="5299005LX7CTDURCX050-2025-12-31.xsd#forras_TotalItemsNotInvolvingCashFlowsAccountedForInTheIncomeStatement" xlink:label="TotalItemsNotInvolvingCashFlowsAccountedForInTheIncomeStatement" xlink:title="TotalItemsNotInvolvingCashFlowsAccountedForInTheIncomeStatement"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForInterestIncome" xlink:label="AdjustmentsForInterestIncome" xlink:title="AdjustmentsForInterestIncome"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForInterestExpense" xlink:label="AdjustmentsForInterestExpense" xlink:title="AdjustmentsForInterestExpense"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncreaseDecreaseInWorkingCapital" xlink:label="IncreaseDecreaseInWorkingCapital" xlink:title="IncreaseDecreaseInWorkingCapital"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_InterestPaidClassifiedAsOperatingActivities" xlink:label="InterestPaidClassifiedAsOperatingActivities" xlink:title="InterestPaidClassifiedAsOperatingActivities"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:label="IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:title="IncomeTaxesPaidRefundClassifiedAsOperatingActivities"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="ProfitLossBeforeTax" xlink:title="calculation: CashFlowsFromUsedInOperatingActivities to ProfitLossBeforeTax" order="1.0" weight="1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="TotalItemsNotInvolvingCashFlowsAccountedForInTheIncomeStatement" xlink:title="calculation: CashFlowsFromUsedInOperatingActivities to TotalItemsNotInvolvingCashFlowsAccountedForInTheIncomeStatement" order="2.0" weight="1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="AdjustmentsForInterestIncome" xlink:title="calculation: CashFlowsFromUsedInOperatingActivities to AdjustmentsForInterestIncome" order="3.0" weight="-1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="AdjustmentsForInterestExpense" xlink:title="calculation: CashFlowsFromUsedInOperatingActivities to AdjustmentsForInterestExpense" order="4.0" weight="1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="IncreaseDecreaseInWorkingCapital" xlink:title="calculation: CashFlowsFromUsedInOperatingActivities to IncreaseDecreaseInWorkingCapital" order="5.0" weight="1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="InterestPaidClassifiedAsOperatingActivities" xlink:title="calculation: CashFlowsFromUsedInOperatingActivities to InterestPaidClassifiedAsOperatingActivities" order="6.0" weight="-1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:title="calculation: CashFlowsFromUsedInOperatingActivities to IncomeTaxesPaidRefundClassifiedAsOperatingActivities" order="7.0" weight="-1"/>
<link:loc xlink:type="locator" xlink:href="5299005LX7CTDURCX050-2025-12-31.xsd#forras_TotalItemsNotInvolvingCashFlowsAccountedForInTheIncomeStatement" xlink:label="TotalItemsNotInvolvingCashFlowsAccountedForInTheIncomeStatement" xlink:title="TotalItemsNotInvolvingCashFlowsAccountedForInTheIncomeStatement"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForDepreciationAndAmortisationExpense" xlink:label="AdjustmentsForDepreciationAndAmortisationExpense" xlink:title="AdjustmentsForDepreciationAndAmortisationExpense"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" xlink:label="AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" xlink:title="AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForProvisions" xlink:label="AdjustmentsForProvisions" xlink:title="AdjustmentsForProvisions"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForUnrealisedForeignExchangeLossesGains" xlink:label="AdjustmentsForUnrealisedForeignExchangeLossesGains" xlink:title="AdjustmentsForUnrealisedForeignExchangeLossesGains"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForFairValueGainsLosses" xlink:label="AdjustmentsForFairValueGainsLosses" xlink:title="AdjustmentsForFairValueGainsLosses"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncreaseDecreaseInAllowanceAccountForCreditLossesOfFinancialAssets" xlink:label="IncreaseDecreaseInAllowanceAccountForCreditLossesOfFinancialAssets" xlink:title="IncreaseDecreaseInAllowanceAccountForCreditLossesOfFinancialAssets"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForUndistributedProfitsOfInvestmentsAccountedForUsingEquityMethod" xlink:label="AdjustmentsForUndistributedProfitsOfInvestmentsAccountedForUsingEquityMethod" xlink:title="AdjustmentsForUndistributedProfitsOfInvestmentsAccountedForUsingEquityMethod"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="TotalItemsNotInvolvingCashFlowsAccountedForInTheIncomeStatement" xlink:to="AdjustmentsForDepreciationAndAmortisationExpense" xlink:title="calculation: TotalItemsNotInvolvingCashFlowsAccountedForInTheIncomeStatement to AdjustmentsForDepreciationAndAmortisationExpense" order="1.0" weight="1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="TotalItemsNotInvolvingCashFlowsAccountedForInTheIncomeStatement" xlink:to="AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" xlink:title="calculation: TotalItemsNotInvolvingCashFlowsAccountedForInTheIncomeStatement to AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" order="2.0" weight="1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="TotalItemsNotInvolvingCashFlowsAccountedForInTheIncomeStatement" xlink:to="AdjustmentsForProvisions" xlink:title="calculation: TotalItemsNotInvolvingCashFlowsAccountedForInTheIncomeStatement to AdjustmentsForProvisions" order="3.0" weight="1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="TotalItemsNotInvolvingCashFlowsAccountedForInTheIncomeStatement" xlink:to="AdjustmentsForUnrealisedForeignExchangeLossesGains" xlink:title="calculation: TotalItemsNotInvolvingCashFlowsAccountedForInTheIncomeStatement to AdjustmentsForUnrealisedForeignExchangeLossesGains" order="4.0" weight="1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="TotalItemsNotInvolvingCashFlowsAccountedForInTheIncomeStatement" xlink:to="AdjustmentsForFairValueGainsLosses" xlink:title="calculation: TotalItemsNotInvolvingCashFlowsAccountedForInTheIncomeStatement to AdjustmentsForFairValueGainsLosses" order="5.0" weight="1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="TotalItemsNotInvolvingCashFlowsAccountedForInTheIncomeStatement" xlink:to="IncreaseDecreaseInAllowanceAccountForCreditLossesOfFinancialAssets" xlink:title="calculation: TotalItemsNotInvolvingCashFlowsAccountedForInTheIncomeStatement to IncreaseDecreaseInAllowanceAccountForCreditLossesOfFinancialAssets" order="6.0" weight="-1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="TotalItemsNotInvolvingCashFlowsAccountedForInTheIncomeStatement" xlink:to="AdjustmentsForUndistributedProfitsOfInvestmentsAccountedForUsingEquityMethod" xlink:title="calculation: TotalItemsNotInvolvingCashFlowsAccountedForInTheIncomeStatement to AdjustmentsForUndistributedProfitsOfInvestmentsAccountedForUsingEquityMethod" order="7.0" weight="-1"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncreaseDecreaseInWorkingCapital" xlink:label="IncreaseDecreaseInWorkingCapital" xlink:title="IncreaseDecreaseInWorkingCapital"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInInventories" xlink:label="AdjustmentsForDecreaseIncreaseInInventories" xlink:title="AdjustmentsForDecreaseIncreaseInInventories"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAccountReceivable" xlink:label="AdjustmentsForDecreaseIncreaseInTradeAccountReceivable" xlink:title="AdjustmentsForDecreaseIncreaseInTradeAccountReceivable"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInOtherOperatingReceivables" xlink:label="AdjustmentsForDecreaseIncreaseInOtherOperatingReceivables" xlink:title="AdjustmentsForDecreaseIncreaseInOtherOperatingReceivables"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInBiologicalAssets" xlink:label="AdjustmentsForDecreaseIncreaseInBiologicalAssets" xlink:title="AdjustmentsForDecreaseIncreaseInBiologicalAssets"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAccountPayable" xlink:label="AdjustmentsForIncreaseDecreaseInTradeAccountPayable" xlink:title="AdjustmentsForIncreaseDecreaseInTradeAccountPayable"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForIncreaseDecreaseInOtherCurrentLiabilities" xlink:label="AdjustmentsForIncreaseDecreaseInOtherCurrentLiabilities" xlink:title="AdjustmentsForIncreaseDecreaseInOtherCurrentLiabilities"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="IncreaseDecreaseInWorkingCapital" xlink:to="AdjustmentsForDecreaseIncreaseInInventories" xlink:title="calculation: IncreaseDecreaseInWorkingCapital to AdjustmentsForDecreaseIncreaseInInventories" order="1.0" weight="-1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="IncreaseDecreaseInWorkingCapital" xlink:to="AdjustmentsForDecreaseIncreaseInTradeAccountReceivable" xlink:title="calculation: IncreaseDecreaseInWorkingCapital to AdjustmentsForDecreaseIncreaseInTradeAccountReceivable" order="2.0" weight="-1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="IncreaseDecreaseInWorkingCapital" xlink:to="AdjustmentsForDecreaseIncreaseInOtherOperatingReceivables" xlink:title="calculation: IncreaseDecreaseInWorkingCapital to AdjustmentsForDecreaseIncreaseInOtherOperatingReceivables" order="3.0" weight="-1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="IncreaseDecreaseInWorkingCapital" xlink:to="AdjustmentsForDecreaseIncreaseInBiologicalAssets" xlink:title="calculation: IncreaseDecreaseInWorkingCapital to AdjustmentsForDecreaseIncreaseInBiologicalAssets" order="4.0" weight="-1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="IncreaseDecreaseInWorkingCapital" xlink:to="AdjustmentsForIncreaseDecreaseInTradeAccountPayable" xlink:title="calculation: IncreaseDecreaseInWorkingCapital to AdjustmentsForIncreaseDecreaseInTradeAccountPayable" order="5.0" weight="-1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="IncreaseDecreaseInWorkingCapital" xlink:to="AdjustmentsForIncreaseDecreaseInOtherCurrentLiabilities" xlink:title="calculation: IncreaseDecreaseInWorkingCapital to AdjustmentsForIncreaseDecreaseInOtherCurrentLiabilities" order="6.0" weight="-1"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:label="IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:title="IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="CashFlowsFromUsedInInvestingActivities" xlink:title="CashFlowsFromUsedInInvestingActivities"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="CashFlowsFromUsedInFinancingActivities" xlink:title="CashFlowsFromUsedInFinancingActivities"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:to="CashFlowsFromUsedInOperatingActivities" xlink:title="calculation: IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges to CashFlowsFromUsedInOperatingActivities" order="1.0" weight="1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:to="CashFlowsFromUsedInInvestingActivities" xlink:title="calculation: IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges to CashFlowsFromUsedInInvestingActivities" order="2.0" weight="1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:to="CashFlowsFromUsedInFinancingActivities" xlink:title="calculation: IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges to CashFlowsFromUsedInFinancingActivities" order="3.0" weight="1"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="CashFlowsFromUsedInInvestingActivities" xlink:title="CashFlowsFromUsedInInvestingActivities"/>
<link:loc xlink:type="locator" xlink:href="5299005LX7CTDURCX050-2025-12-31.xsd#forras_PurchaseAndSaleOfRealEstateMachineryAndEquipmentClassifiedAsInvestmentActivities" xlink:label="PurchaseAndSaleOfRealEstateMachineryAndEquipmentClassifiedAsInvestmentActivities" xlink:title="PurchaseAndSaleOfRealEstateMachineryAndEquipmentClassifiedAsInvestmentActivities"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_PurchaseOfBiologicalAssets" xlink:label="PurchaseOfBiologicalAssets" xlink:title="PurchaseOfBiologicalAssets"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_PurchaseOfInvestmentProperty" xlink:label="PurchaseOfInvestmentProperty" xlink:title="PurchaseOfInvestmentProperty"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities" xlink:label="CashAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities" xlink:title="CashAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashReceiptsFromRepaymentOfAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities" xlink:label="CashReceiptsFromRepaymentOfAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities" xlink:title="CashReceiptsFromRepaymentOfAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_InterestReceivedClassifiedAsInvestingActivities" xlink:label="InterestReceivedClassifiedAsInvestingActivities" xlink:title="InterestReceivedClassifiedAsInvestingActivities"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" xlink:label="CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" xlink:title="CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromLosingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" xlink:label="CashFlowsFromLosingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" xlink:title="CashFlowsFromLosingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CashFlowsFromUsedInInvestingActivities" xlink:to="PurchaseAndSaleOfRealEstateMachineryAndEquipmentClassifiedAsInvestmentActivities" xlink:title="calculation: CashFlowsFromUsedInInvestingActivities to PurchaseAndSaleOfRealEstateMachineryAndEquipmentClassifiedAsInvestmentActivities" order="1.0" weight="-1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CashFlowsFromUsedInInvestingActivities" xlink:to="PurchaseOfBiologicalAssets" xlink:title="calculation: CashFlowsFromUsedInInvestingActivities to PurchaseOfBiologicalAssets" order="2.0" weight="-1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CashFlowsFromUsedInInvestingActivities" xlink:to="PurchaseOfInvestmentProperty" xlink:title="calculation: CashFlowsFromUsedInInvestingActivities to PurchaseOfInvestmentProperty" order="3.0" weight="-1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CashFlowsFromUsedInInvestingActivities" xlink:to="CashAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities" xlink:title="calculation: CashFlowsFromUsedInInvestingActivities to CashAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities" order="4.0" weight="-1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CashFlowsFromUsedInInvestingActivities" xlink:to="CashReceiptsFromRepaymentOfAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities" xlink:title="calculation: CashFlowsFromUsedInInvestingActivities to CashReceiptsFromRepaymentOfAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities" order="5.0" weight="1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CashFlowsFromUsedInInvestingActivities" xlink:to="InterestReceivedClassifiedAsInvestingActivities" xlink:title="calculation: CashFlowsFromUsedInInvestingActivities to InterestReceivedClassifiedAsInvestingActivities" order="6.0" weight="1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CashFlowsFromUsedInInvestingActivities" xlink:to="CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" xlink:title="calculation: CashFlowsFromUsedInInvestingActivities to CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" order="7.0" weight="-1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CashFlowsFromUsedInInvestingActivities" xlink:to="CashFlowsFromLosingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" xlink:title="calculation: CashFlowsFromUsedInInvestingActivities to CashFlowsFromLosingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" order="8.0" weight="1"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="CashFlowsFromUsedInFinancingActivities" xlink:title="CashFlowsFromUsedInFinancingActivities"/>
<link:loc xlink:type="locator" xlink:href="5299005LX7CTDURCX050-2025-12-31.xsd#forras_PurchaseOfFinancialInstrumentsClassifiedAsAFinancingActivity" xlink:label="PurchaseOfFinancialInstrumentsClassifiedAsAFinancingActivity" xlink:title="PurchaseOfFinancialInstrumentsClassifiedAsAFinancingActivity"/>
<link:loc xlink:type="locator" xlink:href="5299005LX7CTDURCX050-2025-12-31.xsd#forras_ProceedsFromSalesOfFinancialInstrumentsClassifiedAsAFinancingActivity" xlink:label="ProceedsFromSalesOfFinancialInstrumentsClassifiedAsAFinancingActivity" xlink:title="ProceedsFromSalesOfFinancialInstrumentsClassifiedAsAFinancingActivity"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities" xlink:label="ProceedsFromBorrowingsClassifiedAsFinancingActivities" xlink:title="ProceedsFromBorrowingsClassifiedAsFinancingActivities"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:label="RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:title="RepaymentsOfBorrowingsClassifiedAsFinancingActivities"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:label="PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:title="PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_DividendsPaidClassifiedAsFinancingActivities" xlink:label="DividendsPaidClassifiedAsFinancingActivities" xlink:title="DividendsPaidClassifiedAsFinancingActivities"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CashFlowsFromUsedInFinancingActivities" xlink:to="PurchaseOfFinancialInstrumentsClassifiedAsAFinancingActivity" xlink:title="calculation: CashFlowsFromUsedInFinancingActivities to PurchaseOfFinancialInstrumentsClassifiedAsAFinancingActivity" order="1.0" weight="-1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CashFlowsFromUsedInFinancingActivities" xlink:to="ProceedsFromSalesOfFinancialInstrumentsClassifiedAsAFinancingActivity" xlink:title="calculation: CashFlowsFromUsedInFinancingActivities to ProceedsFromSalesOfFinancialInstrumentsClassifiedAsAFinancingActivity" order="2.0" weight="1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CashFlowsFromUsedInFinancingActivities" xlink:to="ProceedsFromBorrowingsClassifiedAsFinancingActivities" xlink:title="calculation: CashFlowsFromUsedInFinancingActivities to ProceedsFromBorrowingsClassifiedAsFinancingActivities" order="3.0" weight="1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CashFlowsFromUsedInFinancingActivities" xlink:to="RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:title="calculation: CashFlowsFromUsedInFinancingActivities to RepaymentsOfBorrowingsClassifiedAsFinancingActivities" order="4.0" weight="-1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CashFlowsFromUsedInFinancingActivities" xlink:to="PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:title="calculation: CashFlowsFromUsedInFinancingActivities to PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" order="5.0" weight="-1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CashFlowsFromUsedInFinancingActivities" xlink:to="DividendsPaidClassifiedAsFinancingActivities" xlink:title="calculation: CashFlowsFromUsedInFinancingActivities to DividendsPaidClassifiedAsFinancingActivities" order="6.0" weight="-1"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:label="IncreaseDecreaseInCashAndCashEquivalents" xlink:title="IncreaseDecreaseInCashAndCashEquivalents"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_EffectOfExchangeRateChangesOnCashAndCashEquivalents" xlink:label="EffectOfExchangeRateChangesOnCashAndCashEquivalents" xlink:title="EffectOfExchangeRateChangesOnCashAndCashEquivalents"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncreaseDecreaseThroughOtherChangesAllowanceAccountForCreditLossesOfFinancialAssets" xlink:label="IncreaseDecreaseThroughOtherChangesAllowanceAccountForCreditLossesOfFinancialAssets" xlink:title="IncreaseDecreaseThroughOtherChangesAllowanceAccountForCreditLossesOfFinancialAssets"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="IncreaseDecreaseInCashAndCashEquivalents" xlink:to="IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:title="calculation: IncreaseDecreaseInCashAndCashEquivalents to IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" order="1.0" weight="1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="IncreaseDecreaseInCashAndCashEquivalents" xlink:to="EffectOfExchangeRateChangesOnCashAndCashEquivalents" xlink:title="calculation: IncreaseDecreaseInCashAndCashEquivalents to EffectOfExchangeRateChangesOnCashAndCashEquivalents" order="2.0" weight="1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="IncreaseDecreaseInCashAndCashEquivalents" xlink:to="IncreaseDecreaseThroughOtherChangesAllowanceAccountForCreditLossesOfFinancialAssets" xlink:title="calculation: IncreaseDecreaseInCashAndCashEquivalents to IncreaseDecreaseThroughOtherChangesAllowanceAccountForCreditLossesOfFinancialAssets" order="3.0" weight="-1"/>
</link:calculationLink>
</link:linkbase>